Subject: [bug#45584] [PATCH 0/2] system: image: Fix root fs corruption from certain u-boot.

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 01 Jan 2021 17:10:38 +0100

Hello,

> I chose a 9MB offset by adding the previous root offset of 1MB to the
> additional 8MB offset required. I know at least u-boot-rockpro64-rk3399 doesn't
> build to over 1MB in size, so it should be fine? Feel free to change the
> specific offset used.

This seems reasonable to me. We could also turn "arm32-disk-image" and
"arm64-disk-image" into procedures and pass the root offset as argument
to avoid multiplying image types. Danny, Vagrant, any opinion?

Were you able to actually use the generated image on a pinebook-pro? I
added support for this machine without being able to test it.

Thanks,

Mathieu